import request from '@/api/request'

/**
 * 预定订单列表
 */
export const apiReserveList = (page, pageSize = 20) => request({
  method: 'GET',
  url: '/api/v1/user/prepare/order/list/all',
  params: {
    page: page,
    page_size: pageSize
  }
})

/**
 * 预定订单退款
 */
export const apiRefund = (id) => request({
  method: 'GET',
  url: '/api/v1/user/prepare/order/refund',
  params: {
    id
  }
})
