import request from './request'

/*
* 短信发送
* */
export const sendSMS = (phone) => request({
  method: 'POST',
  url: '/api/v1/send/code',
  data: {
    phone
  }
})

/*
* 文件上传
* */
export const uploadFile = (formData) => request({
  headers: {
    'Content-Type': 'multipart/form-data'
  },
  method: 'POST',
  url: '/v1/upload/file',
  data: formData
})
