const state = {
  phone: '', // 登录手机号
  token: '' // APP登录
}

const getters = {
  phone (state) {
    return state.phone
  },
  token (state) {
    return state.token
  }
}

const mutations = {
  UPDATE_PHONE (state, value) {
    state.phone = value
  },
  UPDATE_TOKEN (state, value) {
    state.token = value
  }
}

export default {
  namespaced: true,
  state,
  getters,
  mutations
}
