import request from '@/api/request'

/**
 * 获取酒吧列表
 */
export const apiBarList = () => request({
  method: 'GET',
  url: '/api/v1/bar/list'
})

/**
 * 酒吧所有演出计划
 * @param id 酒吧ID
 */
export const apiShowPlanList = (id) => request({
  method: 'GET',
  url: '/api/v1/bar/show/plan/list/all',
  params: {
    id
  }
})
