import Layout from '@/layout'

const fms = {
  path: '/fms',
  component: Layout,
  name: 'Fms',
  meta: { title: '财务中心', icon: 'money', roleValue: 'fms_show' },
  redirect: '/fms/check',
  alwaysShow: true,
  children: [
    {
      path: 'check',
      component: () => import('@/views/fms/check/index'),
      name: 'FmsCheck',
      meta: { title: '流水', icon: 'el-icon-s-check', roleValue: 'fms_check_show' }
    }
  ]
}

export default fms
