import Layout from '@/layout'

const outlet = {
  path: '/outlet',
  component: Layout,
  name: 'Outlet',
  meta: { title: '门店管理', icon: 'el-icon-s-shop', roleValue: 'outlet_show' },
  redirect: '/outlet',
  alwaysShow: true,
  children: [
    {
      path: '',
      component: () => import('@/views/outlet/list/index'),
      name: 'BusinessOutlet',
      meta: { title: '门店列表', icon: 'el-icon-s-shop', roleValue: 'outlet_list_show' }
    }
  ]
}

export default outlet
